Upgrade assistant
Check the upgrade status of your Elasticsearch cluster and reindex indices that were created in the previous major version. The assistant helps you prepare for the next major version of Elasticsearch.
-
Batch start or resume reindexing
Stack
Preview
- POST /api/upgrade_assistant/reindex/batch
-
Get the batch reindex queue
Stack
Preview
- GET /api/upgrade_assistant/reindex/batch/queue
-
Get the reindex status
Stack
Preview
- GET /api/upgrade_assistant/reindex/{index}
-
Start or resume reindexing
Stack
Preview
- POST /api/upgrade_assistant/reindex/{index}
-
Cancel reindexing
Stack
Preview
- POST /api/upgrade_assistant/reindex/{index}/cancel
-
Get the upgrade readiness status
Stack
Preview
- GET /api/upgrade_assistant/status